summaryrefslogtreecommitdiffstats
path: root/bin/reconfigure
diff options
context:
space:
mode:
Diffstat (limited to 'bin/reconfigure')
-rwxr-xr-xbin/reconfigure36
1 files changed, 22 insertions, 14 deletions
diff --git a/bin/reconfigure b/bin/reconfigure
index 9c5b414..dba5a67 100755
--- a/bin/reconfigure
+++ b/bin/reconfigure
@@ -28,11 +28,13 @@
# of versions that can get confused (not even counting the m4 utility)!
# HDF5 currently uses the following versions of the autotools:
-AUTOCONF_VERSION="autoconf (GNU Autoconf) 2.68"
-AUTOMAKE_VERSION="automake (GNU automake) 1.11.1"
-AUTOHEADER_VERSION="autoheader (GNU Autoconf) 2.68"
-ACLOCAL_VERSION="aclocal (GNU automake) 1.11.1"
-LIBTOOL_VERSION="(GNU libtool) 2.4"
+AUTOCONF_VERSION="autoconf (GNU Autoconf) 2.69"
+AUTOMAKE_VERSION="automake (GNU automake) 1.12.3"
+AUTOHEADER_VERSION="autoheader (GNU Autoconf) 2.69"
+ACLOCAL_VERSION="aclocal (GNU automake) 1.12.3"
+LIBTOOL_VERSION="(GNU libtool) 2.4.2"
+M4_VERSION="m4 (GNU M4) 1.4.16"
+
#
# When upgrading automake's version, don't forget to also update its
# helper utilities, especially depcomp.
@@ -41,19 +43,22 @@ LIBTOOL_VERSION="(GNU libtool) 2.4"
# If paths to autotools are not specified by the user, assume tools are
# running on jam in /mnt/hdf/packages and set paths accordingly.
if test -z ${AUTOCONF}; then
- AUTOCONF=/mnt/hdf/packages/autoconf/autoconf-2.68/bin/autoconf
+ AUTOCONF=/mnt/hdf/packages/autoconf/autoconf-2.69/bin/autoconf
fi
if test -z ${AUTOMAKE}; then
- AUTOMAKE=/mnt/hdf/packages/automake/automake-1.11.1/bin/automake-1.11
+ AUTOMAKE=/mnt/hdf/packages/automake/automake-1.12.3/bin/automake-1.12
fi
if test -z ${AUTOHEADER}; then
- AUTOHEADER=/mnt/hdf/packages/autoconf/autoconf-2.68/bin/autoheader
+ AUTOHEADER=/mnt/hdf/packages/autoconf/autoconf-2.69/bin/autoheader
fi
if test -z ${ACLOCAL}; then
- ACLOCAL=/mnt/hdf/packages/automake/automake-1.11.1/bin/aclocal-1.11
+ ACLOCAL=/mnt/hdf/packages/automake/automake-1.12.3/bin/aclocal-1.12
fi
if test -z ${LIBTOOL}; then
- LIBTOOL=/mnt/hdf/packages/libtool/libtool-2.4/bin/libtool
+ LIBTOOL=/mnt/hdf/packages/libtool/libtool-2.4.2/bin/libtool
+fi
+if test -z ${M4}; then
+ M4=/mnt/hdf/packages/m4/m4-1.4.16/bin/m4
fi
# Check version numbers of all autotools against the "correct" versions
@@ -82,14 +87,17 @@ if test -z "${LT_VERS}"; then
echo "${LIBTOOL} version is not ${LIBTOOL_VERSION}"
exit 1
fi
-
-# Use the latest version of M4
-PATH=/mnt/hdf/packages/m4/m4-1.4.15/bin:/mnt/hdf/packages/m4/m4-1.4.15/share:$PATH
+M4_VERS=`${M4} --version 2>&1 | grep "${M4_VERSION}"`
+if test -z "${M4_VERS}"; then
+ echo "${M4} version is not ${M4_VERSION}"
+ exit 1
+fi
# Make sure that the tools are in the path.
AUTOCONF_DIR=`dirname ${AUTOCONF}`
LIBTOOL_DIR=`dirname ${LIBTOOL}`
-PATH=${AUTOCONF_DIR}:$PATH
+M4_DIR=`dirname ${M4}`
+PATH=${AUTOCONF_DIR}:${M4_DIR}:$PATH
# Run autoconf/automake commands in order
echo ${ACLOCAL} -I ${LIBTOOL_DIR}/../share/aclocal